%define use_ccache 1
%define ccachedir~/.ccache-OOo%{mdvsuffix}
%{?_with_ccache: %global use_ccache 1}
%{?_without_ccache: %global use_ccache 0}
%define date	    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%define name mypaint
%define version 1.0.0
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A simple paint program
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		http://mypaint.intilinux.com/
Source0:	http://download.gna.org/mypaint/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-scons scons
BuildRequires:	swig
BuildRequires:	desktop-file-utils
BuildRequires:	python-numpy-devel
BuildRequires:	protobuf-compiler
Requires:	pygtk2.0
Requires:	python-protobuf

%description
Mypaint is a fast and easy/simple painter app focused on the painter, 
so you can only focus on the art and not the program itself. 
Currently MyPaint does not have a layer system, also mypaint is using 
pygtk with C extensions.

%prep
%setup -q
# the Options class is deprecated; use the Variables class instead
sed -i 's|PathOption|PathVariable|g' SConstruct
sed -i 's|Options|Variables|g' SConstruct
# for 64 bit
sed -i 's|lib/mypaint|%{_lib}/mypaint|g' SConstruct mypaint.py
# fix menu icon
sed -i 's|mypaint_48|mypaint|g' desktop/%{name}.desktop

%build
scons

%install
rm -rf %{buildroot}
scons prefix=%{buildroot}/usr install
%find_lang %{name}
desktop-file-install \
  --remove-key="Encoding" \
  --add-category="RasterGraphics;GTK;" \
  --dir=%{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README LICENSE COPYING changelog
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*
%{_libdir}/%{name}/_mypaintlib.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 360574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Dec 04 2012 malo <malo> 1.0.0-2.mga3
+ Revision: 326309
- update RPM group

* Mon Nov 28 2011 dams <dams> 1.0.0-1.mga2
+ Revision: 173755
- new version 1.0.0
- update and clean specfile
- now source is tar.xz

* Mon Sep 19 2011 fwang <fwang> 0.9.1-2.mga2
+ Revision: 145348
- rebuild for new libpng

* Wed Jul 06 2011 dams <dams> 0.9.1-1.mga2
+ Revision: 119446
- Update to 0.9.1

* Sun Apr 17 2011 ennael <ennael> 0.9.0-1.mga1
+ Revision: 86939
- clean spec file
- imported package mypaint

